Get Remote Setting by ID
curl --request GET \
--url https://app.papelship.com/api/qpapel/v1/remote-settings/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.papelship.com/api/qpapel/v1/remote-settings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.papelship.com/api/qpapel/v1/remote-settings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.papelship.com/api/qpapel/v1/remote-settings/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.papelship.com/api/qpapel/v1/remote-settings/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"data": {
"id": 45,
"user_id": 1,
"product_id": "cs2_cheat",
"product_name": "Counter Strike 2 Loader",
"access_id": "389204859012",
"config": "{\"hwid_method\":\"full_system\"}",
"status": "active",
"created_at": "2026-06-12T06:00:00.000Z"
}
}{
"success": false,
"error": "Unauthorized access. Valid API key required."
}{
"success": false,
"error": "Resource not found"
}Remote Settings
Get Remote Setting by ID
Retrieve configuration details for a single remote setting entry.
GET
/
remote-settings
/
{id}
Get Remote Setting by ID
Authorizations
BearerAuthApiKeyHeaderApiKeyHeaderLegacy
Standard HTTP Bearer token authentication header (e.g. Authorization: Bearer pk_live_...).
Path Parameters
Unique database ID of the remote setting record.